> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Encoders

> Returns a list of all [encoders](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).



## OpenAPI

````yaml /openapi.json post /acs/encoders/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/encoders/list:
    post:
      tags:
        - /acs
      summary: List Encoders
      description: >-
        Returns a list of all
        [encoders](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
      operationId: acsEncodersListPost
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - oneOf:
                    - properties:
                        acs_system_id:
                          description: >-
                            ID of the access system for which you want to
                            retrieve all encoders.
                          format: uuid
                          type: string
                      required:
                        - acs_system_id
                      type: object
                    - properties:
                        acs_system_ids:
                          description: >-
                            IDs of the access systems for which you want to
                            retrieve all encoders.
                          items:
                            format: uuid
                            type: string
                          type: array
                      required:
                        - acs_system_ids
                      type: object
                    - properties:
                        acs_encoder_ids:
                          description: IDs of the encoders that you want to retrieve.
                          items:
                            format: uuid
                            type: string
                          type: array
                      required:
                        - acs_encoder_ids
                      type: object
                - properties:
                    limit:
                      default: 500
                      description: Number of encoders to return.
                      format: float
                      type: number
                    page_cursor:
                      description: >-
                        Identifies the specific page of results to return,
                        obtained from the previous page's `next_page_cursor`.
                      nullable: true
                      type: string
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  acs_encoders:
                    items:
                      $ref: '#/components/schemas/acs_encoder'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - acs_encoders
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.encoders.list();

            /*
            [
              {
                "acs_encoder_id": "681da2d6-4ac6-4b33-8c03-86281b761325",
                "acs_system_id": "c85406d2-214f-4e11-8000-a2e5b5a362a4",
                "connected_account_id": "1b9a3e0d-443f-4063-b619-4ca7e2a97750",
                "created_at": "2025-06-16T16:54:17.946527Z",
                "display_name": "Encoder 1",
                "errors": [],
                "workspace_id": "f863ac85-2c4e-49ae-8679-3ec2417f1d62"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/encoders/list" \
              --header "Authorization: Bearer $SEAM_API_KEY"

            # Response:

            # {

            #   "acs_encoders": [

            #     {

            #       "acs_encoder_id": "681da2d6-4ac6-4b33-8c03-86281b761325",

            #       "acs_system_id": "c85406d2-214f-4e11-8000-a2e5b5a362a4",

            #       "connected_account_id":
            "1b9a3e0d-443f-4063-b619-4ca7e2a97750",

            #       "created_at": "2025-06-16T16:54:17.946527Z",

            #       "display_name": "Encoder 1",

            #       "errors": [],

            #       "workspace_id": "f863ac85-2c4e-49ae-8679-3ec2417f1d62"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.encoders.list()

            # [
                AcsEncoder(
                    acs_encoder_id="681da2d6-4ac6-4b33-8c03-86281b761325",
                    acs_system_id="c85406d2-214f-4e11-8000-a2e5b5a362a4",
                    connected_account_id="1b9a3e0d-443f-4063-b619-4ca7e2a97750",
                    created_at="2025-06-16T16:54:17.946527Z",
                    display_name="Encoder 1",
                    errors=[],
                    workspace_id="f863ac85-2c4e-49ae-8679-3ec2417f1d62",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.encoders.list()

            # => [
              {
                "acs_encoder_id" => "681da2d6-4ac6-4b33-8c03-86281b761325",
                "acs_system_id" => "c85406d2-214f-4e11-8000-a2e5b5a362a4",
                "connected_account_id" => "1b9a3e0d-443f-4063-b619-4ca7e2a97750",
                "created_at" => "2025-06-16T16:54:17.946527Z",
                "display_name" => "Encoder 1",
                "errors" => [],
                "workspace_id" => "f863ac85-2c4e-49ae-8679-3ec2417f1d62",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->encoders->list();

            // [
                [
                    "acs_encoder_id" => "681da2d6-4ac6-4b33-8c03-86281b761325",
                    "acs_system_id" => "c85406d2-214f-4e11-8000-a2e5b5a362a4",
                    "connected_account_id" => "1b9a3e0d-443f-4063-b619-4ca7e2a97750",
                    "created_at" => "2025-06-16T16:54:17.946527Z",
                    "display_name" => "Encoder 1",
                    "errors" => [],
                    "workspace_id" => "f863ac85-2c4e-49ae-8679-3ec2417f1d62",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs encoders list


            # [

            #   {

            #     "acs_encoder_id": "681da2d6-4ac6-4b33-8c03-86281b761325",

            #     "acs_system_id": "c85406d2-214f-4e11-8000-a2e5b5a362a4",

            #     "connected_account_id":
            "1b9a3e0d-443f-4063-b619-4ca7e2a97750",

            #     "created_at": "2025-06-16T16:54:17.946527Z",

            #     "display_name": "Encoder 1",

            #     "errors": [],

            #     "workspace_id": "f863ac85-2c4e-49ae-8679-3ec2417f1d62"

            #   }

            # ]
components:
  schemas:
    acs_encoder:
      description: >-
        Represents a hardware device that encodes
        [credential](https://docs.seam.co/low-level-apis/access-systems/managing-credentials)
        data onto physical cards within an [access control
        system](https://docs.seam.co/low-level-apis/access-systems).
      properties:
        acs_encoder_id:
          description: >-
            ID of the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners.
          format: uuid
          type: string
        acs_system_id:
          description: >-
            ID of the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) that
            contains the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
          format: uuid
          type: string
        connected_account_id:
          description: >-
            ID of the [connected
            account](https://docs.seam.co/core-concepts/connected-accounts) that
            contains the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
          format: uuid
          type: string
        created_at:
          description: >-
            Date and time at which the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners)
            was created.
          format: date-time
          type: string
        display_name:
          description: >-
            Display name for the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
          type: string
        errors:
          description: >-
            Errors associated with the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
          items:
            description: >-
              Error associated with the
              [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
            properties:
              created_at:
                description: Date and time at which Seam created the error.
                format: date-time
                type: string
              error_code:
                description: >-
                  Unique identifier of the type of error. Enables quick
                  recognition and categorization of the issue.
                enum:
                  - acs_encoder_removed
                type: string
              message:
                description: >-
                  Detailed description of the error. Provides insights into the
                  issue and potentially how to rectify it.
                type: string
            required:
              - created_at
              - message
              - error_code
            type: object
          type: array
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the
            [encoder](https://docs.seam.co/low-level-apis/access-systems/working-with-card-encoders-and-scanners).
          format: uuid
          type: string
      required:
        - acs_encoder_id
        - acs_system_id
        - connected_account_id
        - workspace_id
        - errors
        - created_at
        - display_name
      type: object
      x-route-path: /acs/encoders
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````